### Method

# Gtk Snapshot append_cairo

#### Declaration [src]

    cairo_t*
    gtk_snapshot_append_cairo (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new `GskCairoNode` and appends it to the current render node of `snapshot`, without changing the current node.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The bounds for the new node.

  The data is owned by the caller of the method.

#### Return value

Type: `cairo_t`

A `cairo_t` suitable for drawing the contents of the newly created render node.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.